---
layout: single
category: courses
title: "Intro to Spatial Vector Data in Python"
permalink: /courses/use-data-open-source-python/intro-vector-data-python/
week-landing: 2
modified: 2020-09-11
week: 2
sidebar:
  nav:
comments: false
author_profile: false
course: "intermediate-earth-data-science-textbook"
module-type: 'session'
---

{% include toc title="Section Three" icon="file-text" %}

<div class="notice--info" markdown="1">

## <i class="fa fa-ship" aria-hidden="true"></i> Section Three - Intro to Spatial Vector Data in Python

In section three of this textbook, you will learn how to work with and plot spatial vector data using the **geopandas** package for **Python**. 


## <i class="fa fa-graduation-cap" aria-hidden="true"></i> Learning Objectives

After completing this section of the textbook, you will be able to:

* Describe the characteristics of 3 key vector data structures: points, lines and polygons.
* Open a shapefile in **Python** using **geopandas**.
* View the CRS and other spatial metadata of a vector spatial layer in **Python**
* Be able to describe what a Coordinate Reference System (CRS) is.
* List 2-3 fundamental differences between a geographic and a projected CRS.
* Identify the CRS of a spatial dataset and reproject it to another CRS in **Python**.
* Clip a spatial vector point and line layer to the spatial extent of a polygon layer in **Python** using **geopandas**.
* Dissolve polygons based upon an attribute in **Python** using **geopandas**.
* Join spatial attributes from one shapefile to another in **Python** using **geopandas**.

</div>


{% include textbook-section-toc.html %}
