---
layout: single
category: courses
title: "Introduction to Raster Data in Python"
permalink: /courses/use-data-open-source-python/intro-raster-data-python/
week-landing: 3
modified: 2020-09-11
week: 3
sidebar:
  nav:
comments: false
author_profile: false
course: "intermediate-earth-data-science-textbook"
module-type: 'session'
---

{% include toc title="Section Three" icon="file-text" %}

<div class="notice--info" markdown="1">

## <i class="fa fa-ship" aria-hidden="true"></i> Section Three - Intro to Raster Data in Python

In section three of this textbook, you will learn how to work with and plot raster data using the **rasterio** package for **Python**. 


## <i class="fa fa-graduation-cap" aria-hidden="true"></i> Learning Objectives

After completing this section of the textbook, you will be able to:

* Open raster data using **Python**.
* Be able to list and identify 3 spatial attributes of a raster dataset: extent, crs and resolution.
* Explore and plot the distribution of values within a raster using histograms.
* Access metadata stored within a GeoTIFF raster file via TIF tags in **Python**.
* Use raster math in **Python** to derive new rasters.
* Reclassify a raster dataset in **Python** using a set of defined values. 
* Crop a raster dataset in **Python** using a vector extent object derived from a shapefile.
* Reproject a raster using **rasterio**.

</div>


{% include textbook-section-toc.html %}
