---
layout: single
title: "How multispectral imagery is drawn on computers - Additive Color Models"
excerpt: "Learn the basics of how addidative colors models are used to render RGB images in Python."
authors: ['Leah Wasser']
dateCreated: 2018-04-14
modified: 2021-01-28
category: [courses]
class-lesson: ['multispectral-remote-sensing-data-python-tb']
permalink: /courses/use-data-open-source-python/multispectral-remote-sensing/intro-multispectral-data/addititive-color-models-how-multispectral-imagery-is-drawn-on-computers/
nav-title: 'Additive Color Models'
week: 5
course: "intermediate-earth-data-science-textbook"
sidebar:
  nav:
author_profile: false
comments: true
order: 2
topics:
  remote-sensing: ['landsat']
  earth-science: ['fire']
  reproducible-science-and-programming:
  spatial-data-and-gis: ['raster-data']
lang-lib:
  python: []
redirect_from:
  - "/courses/earth-analytics-python/multispectral-remote-sensing-in-python/addititive-color-models-how-multispectral-imagery-is-drawn-on-computers/"
---

{% include toc title="On This Page" icon="file-text" %}

<div class='notice--success' markdown="1">

## <i class="fa fa-graduation-cap" aria-hidden="true"></i> Learning Objectives

* Describe the difference between additive and subtractive light models.
* Explain how RGB images are rendered in a computer monitor.

</div>

The ~1 minute video below inspired the demonstration that you saw in class.

<iframe width="560" height="315" src="https://www.youtube.com/embed/hxJ7QbPbNkg" frameborder="0" allowfullscreen></iframe>

The 2:30 minute video below shows the difference between additive and subtractive
light models and demonstrates subtractive models with paints.

<iframe width="560" height="315" src="https://www.youtube.com/embed/Er7CM_RNFZ4" frameborder="0" allowfullscreen></iframe>


The ~3 minute video below has no sound, but look closely as they zoom in on the pixels of
an old school computer monitor. You will notice that each  pixel is composed of three
types of light red, green and blue.

<iframe width="560" height="315" src="https://www.youtube.com/embed/HzY4Q5fKxmU" frameborder="0" allowfullscreen></iframe>




