---
layout: single
category: courses
title: "Introduction to API Data Access in Open Source Python"
permalink: /courses/use-data-open-source-python/intro-to-apis/
week-landing: 7
modified: 2020-09-11
week: 7
sidebar:
  nav:
comments: false
author_profile: false
course: "intermediate-earth-data-science-textbook"
module-type: 'session'
---

{% include toc title="Section Six" icon="file-text" %}

<div class="notice--info" markdown="1">

## <i class="fa fa-ship" aria-hidden="true"></i> Section Seven - API's and Natural Language Processing in Open Source Python

In section seven of this textbook, you will learn about using API's to automate data 
access in open source python. You will also learn some basic natural language
processing skills through working with twitter data - grabbed from the Twitter API.


## <i class="fa fa-graduation-cap" aria-hidden="true"></i> Learning Objectives

After completing this section of the textbook, you will be able to:

* Explain what the JSON and GeoJSON data formats are
* Access data programatically using Python
* Use the Twitter API to access twitter data
* Apply basic natural langauge processing techniques to twitter data

## Materials to Review For This Week

This week we will be reviewing API data access and using social media data for science.
The chapters below cover these topics. 

* <a href="{{ site.url }}/courses/use-data-open-source-python/multispectral-remote-sensing/landsat-in-Python/remove-clouds-from-landsat-data/">Clean Landsat Data - Apply Cloud Masks  in Python</a>
* <a href="{{ site.url }}/courses/use-data-open-source-python/use-apis-natural-language-processing-twitter/intro-to-programmatic-data-access-python/">Natural Language Processing and Twitter Data</a>. 

</div>

{% include textbook-section-toc.html %}
